Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network245.44.64.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
245.44.64.0
Broadcast address
245.44.127.255
First usable
245.44.64.1
Last usable
245.44.127.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F52C4000 · Integer 4113317888 to 4113334271
Reverse DNS zones
64.44.245.in-addr.arpa
65.44.245.in-addr.arpa
66.44.245.in-addr.arpa
67.44.245.in-addr.arpa
68.44.245.in-addr.arpa
69.44.245.in-addr.arpa
70.44.245.in-addr.arpa
71.44.245.in-addr.arpa
72.44.245.in-addr.arpa
73.44.245.in-addr.arpa
74.44.245.in-addr.arpa
75.44.245.in-addr.arpa
76.44.245.in-addr.arpa
77.44.245.in-addr.arpa
78.44.245.in-addr.arpa
79.44.245.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110101.00101100.01000000.00000000245.44.64.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11110101.00101100.01000000.00000000245.44.64.0
Broadcast11110101.00101100.01111111.11111111245.44.127.255
Split into smaller subnets/27

245.44.64.0/18 makes 512 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1245.44.64.0/27245.44.64.1 to 245.44.64.30245.44.64.3130
2245.44.64.32/27245.44.64.33 to 245.44.64.62245.44.64.6330
3245.44.64.64/27245.44.64.65 to 245.44.64.94245.44.64.9530
4245.44.64.96/27245.44.64.97 to 245.44.64.126245.44.64.12730
5245.44.64.128/27245.44.64.129 to 245.44.64.158245.44.64.15930
6245.44.64.160/27245.44.64.161 to 245.44.64.190245.44.64.19130
7245.44.64.192/27245.44.64.193 to 245.44.64.222245.44.64.22330
8245.44.64.224/27245.44.64.225 to 245.44.64.254245.44.64.25530
9245.44.65.0/27245.44.65.1 to 245.44.65.30245.44.65.3130
10245.44.65.32/27245.44.65.33 to 245.44.65.62245.44.65.6330
11245.44.65.64/27245.44.65.65 to 245.44.65.94245.44.65.9530
12245.44.65.96/27245.44.65.97 to 245.44.65.126245.44.65.12730
13245.44.65.128/27245.44.65.129 to 245.44.65.158245.44.65.15930
14245.44.65.160/27245.44.65.161 to 245.44.65.190245.44.65.19130
15245.44.65.192/27245.44.65.193 to 245.44.65.222245.44.65.22330
16245.44.65.224/27245.44.65.225 to 245.44.65.254245.44.65.25530
17245.44.66.0/27245.44.66.1 to 245.44.66.30245.44.66.3130
18245.44.66.32/27245.44.66.33 to 245.44.66.62245.44.66.6330
19245.44.66.64/27245.44.66.65 to 245.44.66.94245.44.66.9530
20245.44.66.96/27245.44.66.97 to 245.44.66.126245.44.66.12730
21245.44.66.128/27245.44.66.129 to 245.44.66.158245.44.66.15930
22245.44.66.160/27245.44.66.161 to 245.44.66.190245.44.66.19130
23245.44.66.192/27245.44.66.193 to 245.44.66.222245.44.66.22330
24245.44.66.224/27245.44.66.225 to 245.44.66.254245.44.66.25530
25245.44.67.0/27245.44.67.1 to 245.44.67.30245.44.67.3130
26245.44.67.32/27245.44.67.33 to 245.44.67.62245.44.67.6330
27245.44.67.64/27245.44.67.65 to 245.44.67.94245.44.67.9530
28245.44.67.96/27245.44.67.97 to 245.44.67.126245.44.67.12730
29245.44.67.128/27245.44.67.129 to 245.44.67.158245.44.67.15930
30245.44.67.160/27245.44.67.161 to 245.44.67.190245.44.67.19130
31245.44.67.192/27245.44.67.193 to 245.44.67.222245.44.67.22330
32245.44.67.224/27245.44.67.225 to 245.44.67.254245.44.67.25530
33245.44.68.0/27245.44.68.1 to 245.44.68.30245.44.68.3130
34245.44.68.32/27245.44.68.33 to 245.44.68.62245.44.68.6330
35245.44.68.64/27245.44.68.65 to 245.44.68.94245.44.68.9530
36245.44.68.96/27245.44.68.97 to 245.44.68.126245.44.68.12730
37245.44.68.128/27245.44.68.129 to 245.44.68.158245.44.68.15930
38245.44.68.160/27245.44.68.161 to 245.44.68.190245.44.68.19130
39245.44.68.192/27245.44.68.193 to 245.44.68.222245.44.68.22330
40245.44.68.224/27245.44.68.225 to 245.44.68.254245.44.68.25530
41245.44.69.0/27245.44.69.1 to 245.44.69.30245.44.69.3130
42245.44.69.32/27245.44.69.33 to 245.44.69.62245.44.69.6330
43245.44.69.64/27245.44.69.65 to 245.44.69.94245.44.69.9530
44245.44.69.96/27245.44.69.97 to 245.44.69.126245.44.69.12730
45245.44.69.128/27245.44.69.129 to 245.44.69.158245.44.69.15930
46245.44.69.160/27245.44.69.161 to 245.44.69.190245.44.69.19130
47245.44.69.192/27245.44.69.193 to 245.44.69.222245.44.69.22330
48245.44.69.224/27245.44.69.225 to 245.44.69.254245.44.69.25530
49245.44.70.0/27245.44.70.1 to 245.44.70.30245.44.70.3130
50245.44.70.32/27245.44.70.33 to 245.44.70.62245.44.70.6330
51245.44.70.64/27245.44.70.65 to 245.44.70.94245.44.70.9530
52245.44.70.96/27245.44.70.97 to 245.44.70.126245.44.70.12730
53245.44.70.128/27245.44.70.129 to 245.44.70.158245.44.70.15930
54245.44.70.160/27245.44.70.161 to 245.44.70.190245.44.70.19130
55245.44.70.192/27245.44.70.193 to 245.44.70.222245.44.70.22330
56245.44.70.224/27245.44.70.225 to 245.44.70.254245.44.70.25530
57245.44.71.0/27245.44.71.1 to 245.44.71.30245.44.71.3130
58245.44.71.32/27245.44.71.33 to 245.44.71.62245.44.71.6330
59245.44.71.64/27245.44.71.65 to 245.44.71.94245.44.71.9530
60245.44.71.96/27245.44.71.97 to 245.44.71.126245.44.71.12730
61245.44.71.128/27245.44.71.129 to 245.44.71.158245.44.71.15930
62245.44.71.160/27245.44.71.161 to 245.44.71.190245.44.71.19130
63245.44.71.192/27245.44.71.193 to 245.44.71.222245.44.71.22330
64245.44.71.224/27245.44.71.225 to 245.44.71.254245.44.71.25530
65245.44.72.0/27245.44.72.1 to 245.44.72.30245.44.72.3130
66245.44.72.32/27245.44.72.33 to 245.44.72.62245.44.72.6330
67245.44.72.64/27245.44.72.65 to 245.44.72.94245.44.72.9530
68245.44.72.96/27245.44.72.97 to 245.44.72.126245.44.72.12730
69245.44.72.128/27245.44.72.129 to 245.44.72.158245.44.72.15930
70245.44.72.160/27245.44.72.161 to 245.44.72.190245.44.72.19130
71245.44.72.192/27245.44.72.193 to 245.44.72.222245.44.72.22330
72245.44.72.224/27245.44.72.225 to 245.44.72.254245.44.72.25530
73245.44.73.0/27245.44.73.1 to 245.44.73.30245.44.73.3130
74245.44.73.32/27245.44.73.33 to 245.44.73.62245.44.73.6330
75245.44.73.64/27245.44.73.65 to 245.44.73.94245.44.73.9530
76245.44.73.96/27245.44.73.97 to 245.44.73.126245.44.73.12730
77245.44.73.128/27245.44.73.129 to 245.44.73.158245.44.73.15930
78245.44.73.160/27245.44.73.161 to 245.44.73.190245.44.73.19130
79245.44.73.192/27245.44.73.193 to 245.44.73.222245.44.73.22330
80245.44.73.224/27245.44.73.225 to 245.44.73.254245.44.73.25530
81245.44.74.0/27245.44.74.1 to 245.44.74.30245.44.74.3130
82245.44.74.32/27245.44.74.33 to 245.44.74.62245.44.74.6330
83245.44.74.64/27245.44.74.65 to 245.44.74.94245.44.74.9530
84245.44.74.96/27245.44.74.97 to 245.44.74.126245.44.74.12730
85245.44.74.128/27245.44.74.129 to 245.44.74.158245.44.74.15930
86245.44.74.160/27245.44.74.161 to 245.44.74.190245.44.74.19130
87245.44.74.192/27245.44.74.193 to 245.44.74.222245.44.74.22330
88245.44.74.224/27245.44.74.225 to 245.44.74.254245.44.74.25530
89245.44.75.0/27245.44.75.1 to 245.44.75.30245.44.75.3130
90245.44.75.32/27245.44.75.33 to 245.44.75.62245.44.75.6330
91245.44.75.64/27245.44.75.65 to 245.44.75.94245.44.75.9530
92245.44.75.96/27245.44.75.97 to 245.44.75.126245.44.75.12730
93245.44.75.128/27245.44.75.129 to 245.44.75.158245.44.75.15930
94245.44.75.160/27245.44.75.161 to 245.44.75.190245.44.75.19130
95245.44.75.192/27245.44.75.193 to 245.44.75.222245.44.75.22330
96245.44.75.224/27245.44.75.225 to 245.44.75.254245.44.75.25530
97245.44.76.0/27245.44.76.1 to 245.44.76.30245.44.76.3130
98245.44.76.32/27245.44.76.33 to 245.44.76.62245.44.76.6330
99245.44.76.64/27245.44.76.65 to 245.44.76.94245.44.76.9530
100245.44.76.96/27245.44.76.97 to 245.44.76.126245.44.76.12730
101245.44.76.128/27245.44.76.129 to 245.44.76.158245.44.76.15930
102245.44.76.160/27245.44.76.161 to 245.44.76.190245.44.76.19130
103245.44.76.192/27245.44.76.193 to 245.44.76.222245.44.76.22330
104245.44.76.224/27245.44.76.225 to 245.44.76.254245.44.76.25530
105245.44.77.0/27245.44.77.1 to 245.44.77.30245.44.77.3130
106245.44.77.32/27245.44.77.33 to 245.44.77.62245.44.77.6330
107245.44.77.64/27245.44.77.65 to 245.44.77.94245.44.77.9530
108245.44.77.96/27245.44.77.97 to 245.44.77.126245.44.77.12730
109245.44.77.128/27245.44.77.129 to 245.44.77.158245.44.77.15930
110245.44.77.160/27245.44.77.161 to 245.44.77.190245.44.77.19130
111245.44.77.192/27245.44.77.193 to 245.44.77.222245.44.77.22330
112245.44.77.224/27245.44.77.225 to 245.44.77.254245.44.77.25530
113245.44.78.0/27245.44.78.1 to 245.44.78.30245.44.78.3130
114245.44.78.32/27245.44.78.33 to 245.44.78.62245.44.78.6330
115245.44.78.64/27245.44.78.65 to 245.44.78.94245.44.78.9530
116245.44.78.96/27245.44.78.97 to 245.44.78.126245.44.78.12730
117245.44.78.128/27245.44.78.129 to 245.44.78.158245.44.78.15930
118245.44.78.160/27245.44.78.161 to 245.44.78.190245.44.78.19130
119245.44.78.192/27245.44.78.193 to 245.44.78.222245.44.78.22330
120245.44.78.224/27245.44.78.225 to 245.44.78.254245.44.78.25530
121245.44.79.0/27245.44.79.1 to 245.44.79.30245.44.79.3130
122245.44.79.32/27245.44.79.33 to 245.44.79.62245.44.79.6330
123245.44.79.64/27245.44.79.65 to 245.44.79.94245.44.79.9530
124245.44.79.96/27245.44.79.97 to 245.44.79.126245.44.79.12730
125245.44.79.128/27245.44.79.129 to 245.44.79.158245.44.79.15930
126245.44.79.160/27245.44.79.161 to 245.44.79.190245.44.79.19130
127245.44.79.192/27245.44.79.193 to 245.44.79.222245.44.79.22330
128245.44.79.224/27245.44.79.225 to 245.44.79.254245.44.79.25530
129245.44.80.0/27245.44.80.1 to 245.44.80.30245.44.80.3130
130245.44.80.32/27245.44.80.33 to 245.44.80.62245.44.80.6330
131245.44.80.64/27245.44.80.65 to 245.44.80.94245.44.80.9530
132245.44.80.96/27245.44.80.97 to 245.44.80.126245.44.80.12730
133245.44.80.128/27245.44.80.129 to 245.44.80.158245.44.80.15930
134245.44.80.160/27245.44.80.161 to 245.44.80.190245.44.80.19130
135245.44.80.192/27245.44.80.193 to 245.44.80.222245.44.80.22330
136245.44.80.224/27245.44.80.225 to 245.44.80.254245.44.80.25530
137245.44.81.0/27245.44.81.1 to 245.44.81.30245.44.81.3130
138245.44.81.32/27245.44.81.33 to 245.44.81.62245.44.81.6330
139245.44.81.64/27245.44.81.65 to 245.44.81.94245.44.81.9530
140245.44.81.96/27245.44.81.97 to 245.44.81.126245.44.81.12730
141245.44.81.128/27245.44.81.129 to 245.44.81.158245.44.81.15930
142245.44.81.160/27245.44.81.161 to 245.44.81.190245.44.81.19130
143245.44.81.192/27245.44.81.193 to 245.44.81.222245.44.81.22330
144245.44.81.224/27245.44.81.225 to 245.44.81.254245.44.81.25530
145245.44.82.0/27245.44.82.1 to 245.44.82.30245.44.82.3130
146245.44.82.32/27245.44.82.33 to 245.44.82.62245.44.82.6330
147245.44.82.64/27245.44.82.65 to 245.44.82.94245.44.82.9530
148245.44.82.96/27245.44.82.97 to 245.44.82.126245.44.82.12730
149245.44.82.128/27245.44.82.129 to 245.44.82.158245.44.82.15930
150245.44.82.160/27245.44.82.161 to 245.44.82.190245.44.82.19130
151245.44.82.192/27245.44.82.193 to 245.44.82.222245.44.82.22330
152245.44.82.224/27245.44.82.225 to 245.44.82.254245.44.82.25530
153245.44.83.0/27245.44.83.1 to 245.44.83.30245.44.83.3130
154245.44.83.32/27245.44.83.33 to 245.44.83.62245.44.83.6330
155245.44.83.64/27245.44.83.65 to 245.44.83.94245.44.83.9530
156245.44.83.96/27245.44.83.97 to 245.44.83.126245.44.83.12730
157245.44.83.128/27245.44.83.129 to 245.44.83.158245.44.83.15930
158245.44.83.160/27245.44.83.161 to 245.44.83.190245.44.83.19130
159245.44.83.192/27245.44.83.193 to 245.44.83.222245.44.83.22330
160245.44.83.224/27245.44.83.225 to 245.44.83.254245.44.83.25530
161245.44.84.0/27245.44.84.1 to 245.44.84.30245.44.84.3130
162245.44.84.32/27245.44.84.33 to 245.44.84.62245.44.84.6330
163245.44.84.64/27245.44.84.65 to 245.44.84.94245.44.84.9530
164245.44.84.96/27245.44.84.97 to 245.44.84.126245.44.84.12730
165245.44.84.128/27245.44.84.129 to 245.44.84.158245.44.84.15930
166245.44.84.160/27245.44.84.161 to 245.44.84.190245.44.84.19130
167245.44.84.192/27245.44.84.193 to 245.44.84.222245.44.84.22330
168245.44.84.224/27245.44.84.225 to 245.44.84.254245.44.84.25530
169245.44.85.0/27245.44.85.1 to 245.44.85.30245.44.85.3130
170245.44.85.32/27245.44.85.33 to 245.44.85.62245.44.85.6330
171245.44.85.64/27245.44.85.65 to 245.44.85.94245.44.85.9530
172245.44.85.96/27245.44.85.97 to 245.44.85.126245.44.85.12730
173245.44.85.128/27245.44.85.129 to 245.44.85.158245.44.85.15930
174245.44.85.160/27245.44.85.161 to 245.44.85.190245.44.85.19130
175245.44.85.192/27245.44.85.193 to 245.44.85.222245.44.85.22330
176245.44.85.224/27245.44.85.225 to 245.44.85.254245.44.85.25530
177245.44.86.0/27245.44.86.1 to 245.44.86.30245.44.86.3130
178245.44.86.32/27245.44.86.33 to 245.44.86.62245.44.86.6330
179245.44.86.64/27245.44.86.65 to 245.44.86.94245.44.86.9530
180245.44.86.96/27245.44.86.97 to 245.44.86.126245.44.86.12730
181245.44.86.128/27245.44.86.129 to 245.44.86.158245.44.86.15930
182245.44.86.160/27245.44.86.161 to 245.44.86.190245.44.86.19130
183245.44.86.192/27245.44.86.193 to 245.44.86.222245.44.86.22330
184245.44.86.224/27245.44.86.225 to 245.44.86.254245.44.86.25530
185245.44.87.0/27245.44.87.1 to 245.44.87.30245.44.87.3130
186245.44.87.32/27245.44.87.33 to 245.44.87.62245.44.87.6330
187245.44.87.64/27245.44.87.65 to 245.44.87.94245.44.87.9530
188245.44.87.96/27245.44.87.97 to 245.44.87.126245.44.87.12730
189245.44.87.128/27245.44.87.129 to 245.44.87.158245.44.87.15930
190245.44.87.160/27245.44.87.161 to 245.44.87.190245.44.87.19130
191245.44.87.192/27245.44.87.193 to 245.44.87.222245.44.87.22330
192245.44.87.224/27245.44.87.225 to 245.44.87.254245.44.87.25530
193245.44.88.0/27245.44.88.1 to 245.44.88.30245.44.88.3130
194245.44.88.32/27245.44.88.33 to 245.44.88.62245.44.88.6330
195245.44.88.64/27245.44.88.65 to 245.44.88.94245.44.88.9530
196245.44.88.96/27245.44.88.97 to 245.44.88.126245.44.88.12730
197245.44.88.128/27245.44.88.129 to 245.44.88.158245.44.88.15930
198245.44.88.160/27245.44.88.161 to 245.44.88.190245.44.88.19130
199245.44.88.192/27245.44.88.193 to 245.44.88.222245.44.88.22330
200245.44.88.224/27245.44.88.225 to 245.44.88.254245.44.88.25530
201245.44.89.0/27245.44.89.1 to 245.44.89.30245.44.89.3130
202245.44.89.32/27245.44.89.33 to 245.44.89.62245.44.89.6330
203245.44.89.64/27245.44.89.65 to 245.44.89.94245.44.89.9530
204245.44.89.96/27245.44.89.97 to 245.44.89.126245.44.89.12730
205245.44.89.128/27245.44.89.129 to 245.44.89.158245.44.89.15930
206245.44.89.160/27245.44.89.161 to 245.44.89.190245.44.89.19130
207245.44.89.192/27245.44.89.193 to 245.44.89.222245.44.89.22330
208245.44.89.224/27245.44.89.225 to 245.44.89.254245.44.89.25530
209245.44.90.0/27245.44.90.1 to 245.44.90.30245.44.90.3130
210245.44.90.32/27245.44.90.33 to 245.44.90.62245.44.90.6330
211245.44.90.64/27245.44.90.65 to 245.44.90.94245.44.90.9530
212245.44.90.96/27245.44.90.97 to 245.44.90.126245.44.90.12730
213245.44.90.128/27245.44.90.129 to 245.44.90.158245.44.90.15930
214245.44.90.160/27245.44.90.161 to 245.44.90.190245.44.90.19130
215245.44.90.192/27245.44.90.193 to 245.44.90.222245.44.90.22330
216245.44.90.224/27245.44.90.225 to 245.44.90.254245.44.90.25530
217245.44.91.0/27245.44.91.1 to 245.44.91.30245.44.91.3130
218245.44.91.32/27245.44.91.33 to 245.44.91.62245.44.91.6330
219245.44.91.64/27245.44.91.65 to 245.44.91.94245.44.91.9530
220245.44.91.96/27245.44.91.97 to 245.44.91.126245.44.91.12730
221245.44.91.128/27245.44.91.129 to 245.44.91.158245.44.91.15930
222245.44.91.160/27245.44.91.161 to 245.44.91.190245.44.91.19130
223245.44.91.192/27245.44.91.193 to 245.44.91.222245.44.91.22330
224245.44.91.224/27245.44.91.225 to 245.44.91.254245.44.91.25530
225245.44.92.0/27245.44.92.1 to 245.44.92.30245.44.92.3130
226245.44.92.32/27245.44.92.33 to 245.44.92.62245.44.92.6330
227245.44.92.64/27245.44.92.65 to 245.44.92.94245.44.92.9530
228245.44.92.96/27245.44.92.97 to 245.44.92.126245.44.92.12730
229245.44.92.128/27245.44.92.129 to 245.44.92.158245.44.92.15930
230245.44.92.160/27245.44.92.161 to 245.44.92.190245.44.92.19130
231245.44.92.192/27245.44.92.193 to 245.44.92.222245.44.92.22330
232245.44.92.224/27245.44.92.225 to 245.44.92.254245.44.92.25530
233245.44.93.0/27245.44.93.1 to 245.44.93.30245.44.93.3130
234245.44.93.32/27245.44.93.33 to 245.44.93.62245.44.93.6330
235245.44.93.64/27245.44.93.65 to 245.44.93.94245.44.93.9530
236245.44.93.96/27245.44.93.97 to 245.44.93.126245.44.93.12730
237245.44.93.128/27245.44.93.129 to 245.44.93.158245.44.93.15930
238245.44.93.160/27245.44.93.161 to 245.44.93.190245.44.93.19130
239245.44.93.192/27245.44.93.193 to 245.44.93.222245.44.93.22330
240245.44.93.224/27245.44.93.225 to 245.44.93.254245.44.93.25530
241245.44.94.0/27245.44.94.1 to 245.44.94.30245.44.94.3130
242245.44.94.32/27245.44.94.33 to 245.44.94.62245.44.94.6330
243245.44.94.64/27245.44.94.65 to 245.44.94.94245.44.94.9530
244245.44.94.96/27245.44.94.97 to 245.44.94.126245.44.94.12730
245245.44.94.128/27245.44.94.129 to 245.44.94.158245.44.94.15930
246245.44.94.160/27245.44.94.161 to 245.44.94.190245.44.94.19130
247245.44.94.192/27245.44.94.193 to 245.44.94.222245.44.94.22330
248245.44.94.224/27245.44.94.225 to 245.44.94.254245.44.94.25530
249245.44.95.0/27245.44.95.1 to 245.44.95.30245.44.95.3130
250245.44.95.32/27245.44.95.33 to 245.44.95.62245.44.95.6330
251245.44.95.64/27245.44.95.65 to 245.44.95.94245.44.95.9530
252245.44.95.96/27245.44.95.97 to 245.44.95.126245.44.95.12730
253245.44.95.128/27245.44.95.129 to 245.44.95.158245.44.95.15930
254245.44.95.160/27245.44.95.161 to 245.44.95.190245.44.95.19130
255245.44.95.192/27245.44.95.193 to 245.44.95.222245.44.95.22330
256245.44.95.224/27245.44.95.225 to 245.44.95.254245.44.95.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses